#pragma once

#include <cstdint>

inline constexpr int SPRITE_SIZE{45};
inline constexpr int SCREEN_WIDTH{SPRITE_SIZE*8};
inline constexpr int SCREEN_HEIGHT{SPRITE_SIZE*8};

inline constexpr int BOARD_SIZE{8};

enum Type
{
    NO_TYPE=-1,
    KING=0,
    QUEEN=1,
    BISHOP=2,
    KNIGHT=3,
    ROOK=4,
    PAWN=5,
    UNKNOWN=6,
};

enum Team
{
    NO_TEAM=-1,
    WHITE=0,
    BLACK=1,
};

enum Visibility
{
    VIS_NONE=-1,
    SHOWN=0,
    HIDDEN=1,
};

enum MoveType
{
    BLOCKED,
    FREE,
    CAPTURE,
};
