#pragma once

#include "SDL2/SDL.h"

#include "app_consts.hpp"

class Piece
{
public:
    Piece();
    Piece(Type type, Team team, Visibility vis);

    Team get_team();
    Type get_type();
    Visibility get_vis();
private:
    Type type;
    Team team;
    Visibility vis;
};
